#ifndef MYGLFRAME_H
#define MYGLFRAME_H

#include <QGLWidget>
#include "myrenderthread.h"
#include "mainwindow.h"

class MyGLFrame : public QGLWidget
{
    Q_OBJECT
public:
    explicit MyGLFrame(QWidget *parent = 0);
    ~MyGLFrame();
    void initRenderThread();
    /**
     * @brief stopRenderThread
     */
    void stopRenderThread(void);

protected:
    /**
     * @brief closeEvent
     * @param evt
     */
    void closeEvent(QCloseEvent *evt);
    /**
     * @brief resizeEvent
     * @param evt
     */
    void resizeEvent(QResizeEvent *evt);
    /**
     * @brief paintEvent
     */
    void paintEvent(QPaintEvent *);

    MyRenderThread RenderThread;

};

#endif // MYGLFRAME_H
